Subject: Re: linux-next: manual merge of the tty tree with Linus' tree

From: Greg KH <[email-masked]>
Date: Fri, 20 May 2016 20:26:47 -0700

On Fri, May 20, 2016 at 12:31:51PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today's linux-next merge of the tty tree got a conflict in:
> 
>   include/uapi/linux/serial_core.h
> 
> between commits:
> 
>   157b9394709e ("serial: pic32_uart: Add PIC32 UART driver")
>   07b75260ebc2 ("Merge branch 'upstream' of git://git.linux-mips.org/pub/scm/ralf/upstream-linus")
> 
> from Linus' tree and commit:
> 
>   041f031def33 ("serial: mps2-uart: add MPS2 UART driver")
> 
> from the tty tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks for this, I've warned Linus to watch out for this when he merges
my tree into his.

greg k-h